Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jxweb
Class HttpUnitOptionsStep

    java.lang.Object
      |
      +--net.sourceforge.jxweb.HttpUnitOptionsStep

All Implemented Interfaces:
  JXTestStep

public class HttpUnitOptionsStep
extends Object
implements JXTestStep

This class is a JXUnit test step designed to give a user the ability to set various HttpUnit options via the 'test.jxu' script file. The public fields in this class correspond directly with the boolean properties in the `com.meterware.httpunit.HttpUnitOptions` of the same name.

The reason these fields are defined as `Strings` instead of booleans is that there are three states of each property that we need to know: true, false and undefined. If the user has not specified a certain property the field value will be 'null'. If the value is 'null' then we don't bother updating the HttpUnitOptions. In essence, we only want to change what the user specifies.

Author:
  avollmer

Field Summary
`String` | `exceptionsThrownOnErrorStatus`
`String` | `imagesTreatedAsAltText`
`String` | `loggingHttpHeaders`
`String` | `matchesIgnoreCase`
`String` | `parameterValuesValidated`
`String` | `parserWarningsEnabled`
`String` | `postIncludesCharset`

Constructor Summary
`HttpUnitOptionsStep()`

Method Summary
`void` | `eval(JXTestCase jXTestCase)` Implements the `eval()` method from the `JXTestStep` interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parserWarningsEnabled

    public String parserWarningsEnabled

### exceptionsThrownOnErrorStatus

    public String exceptionsThrownOnErrorStatus

### imagesTreatedAsAltText

    public String imagesTreatedAsAltText

### loggingHttpHeaders

    public String loggingHttpHeaders

### matchesIgnoreCase

    public String matchesIgnoreCase

### parameterValuesValidated

    public String parameterValuesValidated

### postIncludesCharset

    public String postIncludesCharset

Constructor Detail

### HttpUnitOptionsStep

    public HttpUnitOptionsStep()

Method Detail

### eval

    public void eval(JXTestCase jXTestCase)
              throws Throwable

  Implements the `eval()` method from the `JXTestStep` interface.
  Specified by:
    `eval` in interface `JXTestStep`
  Parameters:
    `jxTestCase` -
  Throws:
    `Throwable` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD